[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TTimeEdit.DefaultNow

Indicates the current time is used for an empty time value.

## Declaration

Source position: editbtn.pas line 771

`published property TTimeEdit.DefaultNow : Boolean read FDefaultNow write FDefaultNow default False;`

## Description

DefaultNow is a Boolean property which indicates if the time value defaults to the current system time when a empty time value assigned in the control. The default value for the property is False.

DefaultNow is used in the implementation of the GetTime method which gets the value for the Time property.

## See also

TTimeEdit.Time |  | Represents the time value in the control.